Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractConstructorMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
              org.jboss.beans.metadata.plugins.AbstractConstructorMetaData

All Implemented Interfaces:
  Cloneable, ConstructorMetaData, FeatureMetaData, org.jboss.util.JBossInterface, MetaDataVisitorNode

public class AbstractConstructorMetaData
extends AbstractFeatureMetaData
implements ConstructorMetaData

Metadata for construction.

Version:
  $Revision: 1.8 $
Author:
  Adrian Brock

Field Summary
`protected ValueMetaData` | `factory` The factory
`protected String` | `factoryClassName` The factory class name
`protected String` | `factoryMethod` The factory method
`protected List` | `parameters` The paramaters List

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`annotations, description`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractConstructorMetaData()` Create a new constructor meta data

Method Summary
`Iterator` | `getChildren()` Return the child nodes
`ValueMetaData` | `getFactory()` Get the factory.
`String` | `getFactoryClass()` Get the factory class.
`String` | `getFactoryMethod()` Get the factory method.
`List` | `getParameters()` Get the parameters.
`void` | `setFactory(ValueMetaData factory)` Set the factory
`void` | `setFactoryClass(String name)` Set the factory class name
`void` | `setFactoryMethod(String name)` Set the factory method
`void` | `setParameters(List parameters)` Set the parameters
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`getAnnotations, getDescription, setAnnotations, setDescription, toShortString, visit`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.beans.metadata.spi.FeatureMetaData
`getAnnotations, getDescription`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Methods inherited from interface org.jboss.beans.metadata.spi.MetaDataVisitorNode
`visit`

Field Detail

### parameters

    protected List parameters

  The paramaters List

### factory

    protected ValueMetaData factory

  The factory

### factoryClassName

    protected String factoryClassName

  The factory class name

### factoryMethod

    protected String factoryMethod

  The factory method

Constructor Detail

### AbstractConstructorMetaData

    public AbstractConstructorMetaData()

  Create a new constructor meta data

Method Detail

### setParameters

    public void setParameters(List parameters)

  Set the parameters

  Parameters:
    `parameters` - List

### setFactory

    public void setFactory(ValueMetaData factory)

  Set the factory

  Parameters:
    `factory` - the factory

### setFactoryClass

    public void setFactoryClass(String name)

  Set the factory class name

  Parameters:
    `name` - the factory class name

### setFactoryMethod

    public void setFactoryMethod(String name)

  Set the factory method

  Parameters:
    `name` - the factory method

### getParameters

    public List getParameters()

  Description copied from interface: `ConstructorMetaData`
  Get the parameters.

  Specified by:
    `getParameters` in interface `ConstructorMetaData`
  Returns:
    List.

### getFactory

    public ValueMetaData getFactory()

  Description copied from interface: `ConstructorMetaData`
  Get the factory.

  Specified by:
    `getFactory` in interface `ConstructorMetaData`
  Returns:
    the factory.

### getFactoryClass

    public String getFactoryClass()

  Description copied from interface: `ConstructorMetaData`
  Get the factory class.

  Specified by:
    `getFactoryClass` in interface `ConstructorMetaData`
  Returns:
    the class name of the factory.

### getFactoryMethod

    public String getFactoryMethod()

  Description copied from interface: `ConstructorMetaData`
  Get the factory method.

  Specified by:
    `getFactoryMethod` in interface `ConstructorMetaData`
  Returns:
    the factory method.

### getChildren

    public Iterator getChildren()

  Description copied from interface: `MetaDataVisitorNode`
  Return the child nodes

  Specified by:
    `getChildren` in interface `MetaDataVisitorNode`
  Overrides:
    `getChildren` in class `AbstractFeatureMetaData`

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

  Overrides:
    `toString` in class `AbstractFeatureMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.